from pymongo import MongoClient, ASCENDING, DESCENDING
from bson.json_util import dumps

class DBModel:

	# client = MongoClient("mongodb://172.16.14.19:27017/median")
	client = MongoClient()
	# db.adminCommand({setParameter: 1, internalQueryExecMaxBlockingSortBytes:300151432})
	# pengaturan blocking memory

	def get_data_all_stream(self, database, collection):
		db = self.client[database]
		cursor = db[collection].aggregate([
					   { "$project": {
					      "_id": "$_id",
					      "name": "$account",
					      "count_of_tweet": "$count_of_tweet",
					      "x": "$count_of_mention", 
					      "y": "$counting_retweet_from_mention", 
					      "z": "$sum_of_mention_and_retweet_from_mention",       
					      "color": "$color",
					      "tweet": "$tweet",
					   }}
					]);

		return dumps(cursor)


	def get_data_all_instance(self, database, collection):
		db = self.client[database]
		cursor = db[collection].aggregate([
					   { "$project": {
					      "_id": "$_id",
					      "name": "$account",
					      "count_of_tweet": "$count_of_tweet",
					      "x": "$count_of_mention", 
					      "y": "$counting_retweet_from_mention", 
					      "z": "$sum_of_mention_and_retweet_from_mention",       
					      "color": "$color",
					      "tweet": "$tweet",
					   }}
					]);

		return dumps(cursor)